Handle Unix98-style PTY names, which are entirely numeric.
diff -uNr Linux-PAM-0.75/modules/pam_securetty/pam_securetty.c Linux-PAM-0.75/modules/pam_securetty/pam_securetty.c
--- Linux-PAM-0.75/modules/pam_securetty/pam_securetty.c	Tue Jun 20 18:11:56 2000
+++ Linux-PAM-0.75/modules/pam_securetty/pam_securetty.c	Tue Jul 10 00:14:23 2001
@@ -81,6 +81,7 @@
     const char *username;
     char *uttyname;
     char ttyfileline[256];
+    char ptname[256];
     struct stat ttyfileinfo;
     struct passwd *user_pwd;
     FILE *ttyfile;
@@ -145,11 +146,15 @@
     retval=PAM_AUTH_ERR;
     /* This loop assumes that PAM_SUCCESS == 0
        and PAM_AUTH_ERR != 0 */
+    if(isdigit(uttyname[0]))
+	snprintf(ptname, sizeof(ptname), "pts/%s", uttyname);
+    else
+	ptname[0] = '\0';
     while((fgets(ttyfileline,sizeof(ttyfileline)-1, ttyfile) != NULL) 
 	  && retval) {
 	if(ttyfileline[strlen(ttyfileline) - 1] == '\n')
 	    ttyfileline[strlen(ttyfileline) - 1] = '\0';
-	retval = strcmp(ttyfileline,uttyname);
+	retval = strcmp(ttyfileline,uttyname) && (!ptname[0] || strcmp(ptname,uttyname));
     }
     fclose(ttyfile);
     if(retval) {
